From 4b9505349af1351fab7440e3c3e37428be272241 Mon Sep 17 00:00:00 2001
From: Alex Macdonald <almacdon@redhat.com>
Date: Oct 09 2018 14:18:36 +0000
Subject: [PATCH 1/3] rename patch files to indicate their order of application


---

diff --git a/jaf/jaf.spec b/jaf/jaf.spec
index cd31053..8053073 100644
--- a/jaf/jaf.spec
+++ b/jaf/jaf.spec
@@ -14,11 +14,21 @@ URL:		https://github.com/eclipse-ee4j/jaf
 #  tar czf jaf-1.2.1.tar.gz jaf-1.2.1/
 Source0:	jaf-1.2.1.tar.gz
 
-Patch0:		add-manifest.patch
+Patch0:		0_add_manifest.patch
 
 BuildArch:	noarch
 
-BuildRequires:	maven-local java-openjdk javapackages-local maven-enforcer-plugin glassfish-hk2-maven-plugins maven-source-plugin maven-plugin-build-helper maven-plugin-bundle maven-dependency-plugin ee4j
+BuildRequires:	ee4j
+BuildRequires:	glassfish-hk2-maven-plugins
+BuildRequires:	java-openjdk
+BuildRequires:	javapackages-local
+BuildRequires:	junit
+BuildRequires:	maven-enforcer-plugin
+BuildRequires:	maven-local
+BuildRequires:	maven-plugin-build-helper
+BuildRequires:	maven-plugin-bundle maven-dependency-plugin
+BuildRequires:	maven-source-plugin
+
 Requires:	java-openjdk
 
 
diff --git a/javamail/javamail.spec b/javamail/javamail.spec
index 67b09cb..0a13ca9 100644
--- a/javamail/javamail.spec
+++ b/javamail/javamail.spec
@@ -16,16 +16,29 @@ Source0:	javamail-1.6.1.tar.gz
 
 BuildArch:	noarch
 
-Patch0:		ignore-broken-tests.patch
-Patch1:		dont-publish.patch
-Patch2:		module-info.patch
-Patch3:		remove-javadoc-aggregate.patch
-Patch4:		correct-javax-activation-name.patch
-Patch5:		jar-for-webapp.patch
-Patch6:		servlet-module.patch
-Patch7:		update-activation-api-version.patch
-
-BuildRequires:	maven-local java-openjdk jvnet-parent maven-enforcer-plugin glassfish-hk2-maven-plugins maven-source-plugin maven-plugin-build-helper maven-plugin-bundle maven-javadoc-plugin jboss-jsp-2.2-api maven-dependency-plugin glassfish-servlet-api jaf
+Patch0:		0_ignore_broken_tests.patch
+Patch1:		1_dont_publish.patch
+Patch2:		2_module_info.patch
+Patch3:		3_remove_javadoc_aggregate.patch
+Patch4:		4_correct_javax_activation_name.patch
+Patch5:		5_jar_for_webapp.patch
+Patch6:		6_servlet_module.patch
+Patch7:		7_update_activation_api_version.patch
+
+BuildRequires:	maven-local
+BuildRequires:	java-openjdk
+BuildRequires:	jboss-jsp-2.2-api
+BuildRequires:	jvnet-parent 
+BuildRequires:	glassfish-hk2-maven-plugins
+BuildRequires:	glassfish-servlet-api
+BuildRequires:	jaf
+BuildRequires:	maven-dependency-plugin
+BuildRequires:	maven-enforcer-plugin
+BuildRequires:	maven-plugin-build-helper
+BuildRequires:	maven-plugin-bundle
+BuildRequires:	maven-javadoc-plugin
+BuildRequires:	maven-source-plugin
+
 Requires:	java-openjdk
 
 Provides:	osgi(javax.mail.dsn) = %{version}
diff --git a/jmc-core/jmc-core.spec b/jmc-core/jmc-core.spec
index 458bc09..48c5cd2 100644
--- a/jmc-core/jmc-core.spec
+++ b/jmc-core/jmc-core.spec
@@ -13,7 +13,9 @@ URL:		http://openjdk.java.net/projects/jmc/
 #   tar czf jmc-core-7.0.0.tar.gz jmc-core-7.0.0/
 Source0:	jmc-core-7.0.0.tar.gz
 
-BuildRequires:	maven-local java-openjdk javapackages-tools
+BuildRequires:	java-openjdk
+BuildRequires:	javapackages-tools
+BuildRequires:	maven-local
 BuildRequires:	owasp-java-encoder
 
 Requires:	java-openjdk
diff --git a/jmc/jmc.spec b/jmc/jmc.spec
index 035a0e0..25916c0 100644
--- a/jmc/jmc.spec
+++ b/jmc/jmc.spec
@@ -14,9 +14,9 @@ URL:		http://openjdk.java.net/projects/jmc/
 #   tar czf jmc-7.0.0.tar.gz jmc-7.0.0/
 Source0:	jmc-7.0.0.tar.gz
 
-Patch0:		remove-twitter.patch
-Patch1:		local-osgi.patch
-Patch2:		javamail.patch
+Patch0:		0_remove_twitter.patch
+Patch1:		1_local_osgi.patch
+Patch2:		2_javamail.patch
 
 BuildRequires:	maven-local java-openjdk tycho openjfx icu glassfish-el glassfish-annotation-api atinject glassfish-jsp-api glassfish-jsp ant batik batik-css apache-commons-codec apache-commons-io apache-commons-jxpath apache-commons-logging felix-gogo-command felix-gogo-runtime felix-gogo-shell felix-scr httpcomponents-client httpcomponents-core lucene-analysis lucene-analyzers-smartcn lucene apiguardian eclipse-jdt eclipse-nls-ja eclipse-nls-zh eclipse-platform eclipse-ecf-core eclipse-emf-core eclipse-pde jetty-continuation jetty-http jetty-io jetty-security jetty-server jetty-servlet jetty-util eclipse-equinox-osgi eclipse-swt hamcrest-core junit junit5 opentest4j sat4j sac xml-commons-apis xz-java tycho javamail owasp-java-encoder jmc-core
 
diff --git a/owasp-java-encoder/owasp-java-encoder.spec b/owasp-java-encoder/owasp-java-encoder.spec
index ebf6e6d..f9cb93c 100644
--- a/owasp-java-encoder/owasp-java-encoder.spec
+++ b/owasp-java-encoder/owasp-java-encoder.spec
@@ -7,9 +7,14 @@ License:	ASL 2.0
 URL:		https://github.com/OWASP/owasp-java-encoder/
 Source0:	https://github.com/OWASP/owasp-java-encoder/archive/v1.2.1.tar.gz
 
-Patch0:		manifest.patch
+Patch0:		0_manifest.patch
+
+BuildRequires:	java-openjdk
+BuildRequires:	junit
+BuildRequires:	maven-local
+BuildRequires:	maven-source-plugin
+BuildRequires:	sonatype-oss-parent
 
-BuildRequires:	maven-local java-openjdk junit sonatype-oss-parent maven-source-plugin
 Requires:	java-openjdk
 
 

